Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356595 (php-simplesamlphp-saml2_1) - Review Request: php-simplesamlphp-saml2_1 - SAML2 PHP library from SimpleSAMLphp (version 1)
Summary: Review Request: php-simplesamlphp-saml2_1 - SAML2 PHP library from SimpleSAML...
Keywords:
Status: CLOSED ERRATA
Alias: php-simplesamlphp-saml2_1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-robrichards-xmlseclibs1
Blocks: simplesamlphp
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:37 UTC by Shawn Iwinski
Modified: 2016-08-16 19:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-09 04:50:39 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (deleted)
2016-07-29 13:13 UTC, Remi Collet
no flags Details
review.txt (deleted)
2016-07-29 13:14 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-07-14 12:37:00 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/570ad167e13dc249e055a654a37e12ce8f34a4dd/php-simplesamlphp-saml2_1/php-simplesamlphp-saml2_1.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-simplesamlphp-saml2_1-1.9-1.fc24.src.rpm

Description:
A PHP library for SAML2 related functionality. Extracted from SimpleSAMLphp [1],
used by OpenConext [2]. This library started as a collaboration between
UNINETT [3] and SURFnet [4] but everyone is invited to contribute.

[1] https://www.simplesamlphp.org/
[2] https://www.openconext.org/
[3] https://www.uninett.no/
[4] https://www.surfnet.nl/


Fedora Account System Username: siwinski



Copr build: https://copr.fedorainfracloud.org/coprs/siwinski/simplesamlphp/package/php-simplesamlphp-saml2_1/

This is version 1 of the simplesamlphp/saml2 library which is required by simplesamlphp/simplesamlphp.  Review request for version 2 of this library is bug 1356587.

Comment 1 Remi Collet 2016-07-29 13:13:42 UTC
Created attachment 1185526 [details]
phpci.log

phpCompatInfo version 5.0.1 DB version 1.11.0 built Jul 26 2016 06:33:42 CEST static analyze results

Comment 2 Remi Collet 2016-07-29 13:14:50 UTC
Created attachment 1185538 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1356595
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2016-07-29 13:17:00 UTC
Minor issue with tarball include in your SRPM (only missing .gitignore

Please ensure to (re)download it before importing.


No blocker


=== APPROVED ===

Comment 4 Remi Collet 2016-07-29 13:26:31 UTC
BTW, looking at php-simplesamlphp-saml2 review which provides a compatibility layer for non namespace library; is this one really needed ?

Comment 5 Shawn Iwinski 2016-07-29 15:38:19 UTC
THANKS for the review!  SCM request submitted via pkgdb.

Comment 6 Shawn Iwinski 2016-07-29 15:39:30 UTC
(In reply to Remi Collet from comment #3)
> Minor issue with tarball include in your SRPM (only missing .gitignore
> 
> Please ensure to (re)download it before importing.
> 
> 
> No blocker
> 
> 
> === APPROVED ===

Thanks.  I'll fix this before importing.

Comment 7 Gwyn Ciesla 2016-07-29 16:33:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-simplesamlphp-saml2_1

Comment 8 Fedora Update System 2016-07-31 04:57:12 UTC
php-simplesamlphp-saml2_1-1.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d3c8536d0

Comment 9 Fedora Update System 2016-07-31 04:57:18 UTC
php-simplesamlphp-saml2_1-1.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2be10bbe67

Comment 10 Fedora Update System 2016-07-31 04:57:22 UTC
php-simplesamlphp-saml2_1-1.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-035e5505bf

Comment 11 Fedora Update System 2016-07-31 04:57:26 UTC
php-simplesamlphp-saml2_1-1.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0cbc3534a4

Comment 12 Fedora Update System 2016-08-01 19:16:53 UTC
php-simplesamlphp-saml2_1-1.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0cbc3534a4

Comment 13 Fedora Update System 2016-08-01 19:48:04 UTC
php-simplesamlphp-saml2_1-1.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-035e5505bf

Comment 14 Fedora Update System 2016-08-01 20:54:30 UTC
php-simplesamlphp-saml2_1-1.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d3c8536d0

Comment 15 Fedora Update System 2016-08-01 20:57:43 UTC
php-simplesamlphp-saml2_1-1.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2be10bbe67

Comment 16 Fedora Update System 2016-08-09 04:50:36 UTC
php-simplesamlphp-saml2_1-1.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-09 07:25:02 UTC
php-simplesamlphp-saml2_1-1.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-16 19:47:57 UTC
php-simplesamlphp-saml2_1-1.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-08-16 19:49:03 UTC
php-simplesamlphp-saml2_1-1.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.